pydo.droplets.get_destroy_associated_resources_status()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.droplets.get_destroy_associated_resources_status(droplet_id=3164444)
Returns JSONRaises HttpResponseError

Description

To check on the status of a request to destroy a Droplet with its associated resources, send a GET request to the /v2/droplets/{droplet_id}/destroy_with_associated_resources/status endpoint.

Parameters

droplet_id integer required

A unique identifier for a Droplet instance.

Min: 1

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.droplets.get_destroy_associated_resources_status(droplet_id=5624512)

Response Example

Show Response Example
{
  "droplet": {
    "id": "187000742",
    "name": "ubuntu-s-1vcpu-1gb-nyc1-01",
    "destroyed_at": "2020-04-01T18:11:49Z"
  },
  "resources": {
    "reserved_ips": [
      {
        "id": "6186916",
        "name": "45.55.96.47",
        "destroyed_at": "2020-04-01T18:11:44Z"
      }
    ],
    "floating_ips": [
      {
        "id": "6186916",
        "name": "45.55.96.47",
        "destroyed_at": "2020-04-01T18:11:44Z"
      }
    ],
    "snapshots": [
      {
        "id": "61486916",
        "name": "ubuntu-s-1vcpu-1gb-nyc1-01-1585758823330",
        "destroyed_at": "2020-04-01T18:11:44Z"
      }
    ],
    "volumes": [],
    "volume_snapshots": [
      {
        "id": "edb0478d-7436-11ea-86e6-0a58ac144b91",
        "name": "volume-nyc1-01-1585758983629",
        "destroyed_at": "2020-04-01T18:11:44Z"
      }
    ]
  },
  "completed_at": "2020-04-01T18:11:49Z",
  "failures": 0
}

More Information

See /v2/droplets/{droplet_id}/destroy_with_associated_resources/status in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.